AdminDistributedSystem (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.admin

## Interface AdminDistributedSystem

- Deprecated.
  as of 7.0 use the `management` package instead

      public interface AdminDistributedSystem

  Administrative interface for managing an entire GemFire distributed system. This interface should not be confused with `DistributedSystem` that represents a connection to a GemFire distributed system.
  Since:
    GemFire 3.5
  See Also:
    `AdminDistributedSystemFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlertListener(AlertListener listener)` Deprecated. Registers an `AlertListener` that will receive all alerts that are at or above the alert level.
    `void` | `addCacheListener(SystemMemberCacheListener listener)` Deprecated. Registers a cache event listener.
    `CacheServer` | `addCacheServer()` Deprecated. as of 5.7 use `addCacheVm()` instead.
    `CacheVm` | `addCacheVm()` Deprecated. Creates a new cache vm that is ready to configure and start.
    `DistributionLocator` | `addDistributionLocator()` Deprecated. Creates a new `DistributionLocator` that is ready to configure and start.
    `void` | `addMembershipListener(SystemMembershipListener listener)` Deprecated. Registers a listener that receives callbacks when a member joins or leaves the distributed system.
    `BackupStatus` | `backupAllMembers(java.io.File targetDir)` Deprecated. Backup the persistent files for all of the members of the distributed system that the admin member is connected to.
    `BackupStatus` | `backupAllMembers(java.io.File targetDir, java.io.File baselineDir)` Deprecated. Incrementally backup the persistent files for all of the members of the distributed system that the admin member is connected to.
    `java.util.Map<DistributedMember,java.util.Set<PersistentID>>` | `compactAllDiskStores()` Deprecated. Compact the persistent files for all of the members of the distributed system that the admin member connected to.
    `void` | `connect()` Deprecated. Connects to the distributed system.
    `void` | `disconnect()` Deprecated. Disconnects from the distributed system.
    `java.lang.String` | `displayMergedLogs()` Deprecated. Merges and returns all system logs as a single formatted log.
    `AlertLevel` | `getAlertLevel()` Deprecated. Returns the lowest level of alerts that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`.
    `java.lang.String` | `getAlertLevelAsString()` Deprecated. Returns the lowest level of alerts that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`.
    `CacheServer[]` | `getCacheServers()` Deprecated. as of 5.7 use `getCacheVms()` instead.
    `CacheServer[]` | `getCacheServers(java.lang.String durableClientId)` Deprecated. Returns all the cache server members of the distributed system which are hosting a client queue for the particular durable-client having the given durableClientId
    `CacheVm[]` | `getCacheVms()` Deprecated. Returns all of the dedicated cache server vm members of the distributed system.
    `DistributedSystemConfig` | `getConfig()` Deprecated. Returns this system's configuration .
    `DistributionLocator[]` | `getDistributionLocators()` Deprecated. Returns array of `DistributionLocator`s administered by this `AdminDistributedSystem`.
    `GemFireHealth` | `getGemFireHealth()` Deprecated. Returns an object for monitoring the health of GemFire.
    `java.lang.String` | `getId()` Deprecated. Retrieves the unique id for this system.
    `java.lang.String` | `getLatestAlert()` Deprecated. Display in readable format the latest Alert in this distributed system.
    `java.util.Properties` | `getLicense()` Deprecated. Removed licensing in 8.0.
    `java.lang.String` | `getLocators()` Deprecated. Retrieves comma-delimited list locators to be used if multi-cast port is zero.
    `java.lang.String` | `getMcastAddress()` Deprecated. Retrieves the multicast address in use by this system.
    `int` | `getMcastPort()` Deprecated. Retrieves the multicast port in use by this system.
    `java.util.Set<PersistentID>` | `getMissingPersistentMembers()` Deprecated. Retrieve the set of persistent files that the existing members are waiting for.
    `java.lang.String` | `getName()` Deprecated. Retrieves display friendly name for this system.
    `java.lang.String` | `getRemoteCommand()` Deprecated. Retrieves the remote command and formatting this system should use to access and/or manipulate resources on remote machines.
    `SystemMember[]` | `getSystemMemberApplications()` Deprecated. Retrieves SystemMember instances for every application that is running and currently connection to this system.
    `boolean` | `isConnected()` Deprecated. Returns `true` if this is currently connected to the system.
    `boolean` | `isMcastEnabled()` Deprecated. Returns true if this system has enabled the use of multicast for communications
    `boolean` | `isRunning()` Deprecated. Returns true if any members of this system are currently running.
    `SystemMember` | `lookupSystemMember(DistributedMember distributedMember)` Deprecated. Returns the administrative SystemMember specified by the `DistributedMember`.
    `void` | `removeAlertListener(AlertListener listener)` Deprecated. Unregisters an `AlertListener`
    `void` | `removeCacheListener(SystemMemberCacheListener listener)` Deprecated. Unregisters a cache listener.
    `void` | `removeMembershipListener(SystemMembershipListener listener)` Deprecated. Unregisters a membership listener
    `void` | `revokePersistentMember(java.net.InetAddress host, java.lang.String directory)` Deprecated. use `revokePersistentMember(UUID)` instead
    `void` | `revokePersistentMember(java.util.UUID diskStoreID)` Deprecated. Indicate to the distributed system that persistent files have been lost.
    `void` | `setAlertLevel(AlertLevel level)` Deprecated. Sets the lowest level of alert that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`.
    `void` | `setAlertLevelAsString(java.lang.String level)` Deprecated. Sets the lowest level of alert that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`.
    `void` | `setRemoteCommand(java.lang.String remoteCommand)` Deprecated. Sets the remote command and formatting this system should use to access and/or manipulate resources on remote machines.
    `java.util.Set<DistributedMember>` | `shutDownAllMembers()` Deprecated. Shuts down all the members of the distributed system with a cache that the admin member is connected to, excluding the stand-alone locators.
    `java.util.Set<DistributedMember>` | `shutDownAllMembers(long timeout)` Deprecated. Shuts down all the members of the distributed system with a cache that the admin member is connected to, excluding the stand-alone locators.
    `void` | `start()` Deprecated. Starts all managed entities that are not currently running.
    `void` | `stop()` Deprecated. Stops all managed entities that are currently running.
    `boolean` | `waitToBeConnected(long timeout)` Deprecated. Wait for up to a given number of milliseconds for the connection to the distributed system to be made.

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Deprecated.
      Retrieves the unique id for this system.

    - #### getName

          java.lang.String getName()

      Deprecated.
      Retrieves display friendly name for this system. If this administrative VM defined an optional name for its connection to the distributed system, that name will be returned. Otherwise the returned value will be `getId()`.

    - #### getRemoteCommand

          java.lang.String getRemoteCommand()

      Deprecated.
      Retrieves the remote command and formatting this system should use to access and/or manipulate resources on remote machines.

    - #### setRemoteCommand

          void setRemoteCommand(java.lang.String remoteCommand)

      Deprecated.
      Sets the remote command and formatting this system should use to access and/or manipulate resources on remote machines.

    - #### setAlertLevel

          void setAlertLevel(AlertLevel level)

      Deprecated.
      Sets the lowest level of alert that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`. The default level is `AlertLevel.WARNING`.

    - #### getAlertLevel

          AlertLevel getAlertLevel()

      Deprecated.
      Returns the lowest level of alerts that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`.
      See Also:
        `setAlertLevel(org.apache.geode.admin.AlertLevel)`

    - #### setAlertLevelAsString

          void setAlertLevelAsString(java.lang.String level)

      Deprecated.
      Sets the lowest level of alert that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`. The default level is `AlertLevel.WARNING`.

    - #### getAlertLevelAsString

          java.lang.String getAlertLevelAsString()

      Deprecated.
      Returns the lowest level of alerts that should be delivered to the `AlertListener`s registered on this `AdminDistributedSystem`.
      See Also:
        `setAlertLevelAsString(java.lang.String)`

    - #### addAlertListener

          void addAlertListener(AlertListener listener)

      Deprecated.
      Registers an `AlertListener` that will receive all alerts that are at or above the alert level.

    - #### removeAlertListener

          void removeAlertListener(AlertListener listener)

      Deprecated.
      Unregisters an `AlertListener`

    - #### getMcastAddress

          java.lang.String getMcastAddress()

      Deprecated.
      Retrieves the multicast address in use by this system.

    - #### getMcastPort

          int getMcastPort()

      Deprecated.
      Retrieves the multicast port in use by this system.

    - #### getLocators

          java.lang.String getLocators()

      Deprecated.
      Retrieves comma-delimited list locators to be used if multi-cast port is zero. Format of each locators must be host[port].

    - #### isMcastEnabled

          boolean isMcastEnabled()

      Deprecated.
      Returns true if this system has enabled the use of multicast for communications

    - #### isRunning

          boolean isRunning()

      Deprecated.
      Returns true if any members of this system are currently running.

    - #### isConnected

          boolean isConnected()

      Deprecated.
      Returns `true` if this is currently connected to the system.

    - #### start

          void start()
              throws AdminException

      Deprecated.
      Starts all managed entities that are not currently running.
      Throws:
        `AdminException` - If a problem is encountered while starting the managed entities.

    - #### stop

          void stop()
             throws AdminException

      Deprecated.
      Stops all managed entities that are currently running.
      Throws:
        `AdminException` - If a problem is encountered while starting the managed entities.

    - #### displayMergedLogs

          java.lang.String displayMergedLogs()

      Deprecated.
      Merges and returns all system logs as a single formatted log.

    - #### getLicense

          java.util.Properties getLicense()

      Deprecated. Removed licensing in 8.0.
      Retrieves the license information for this installation of GemFire.

    - #### addDistributionLocator

          DistributionLocator addDistributionLocator()

      Deprecated.
      Creates a new `DistributionLocator` that is ready to configure and start.

      It is presumed that the newly-added locator is used to discover members of the distributed system. That is, the host/port of the new locator is appended to the `locators` attribute of this `AdminDistributedSystem`.

    - #### getDistributionLocators

          DistributionLocator[] getDistributionLocators()

      Deprecated.
      Returns array of `DistributionLocator`s administered by this `AdminDistributedSystem`.

    - #### getSystemMemberApplications

          SystemMember[] getSystemMemberApplications()
                                              throws AdminException

      Deprecated.
      Retrieves SystemMember instances for every application that is running and currently connection to this system. Note that this list does not include dedicated cache server vms.
      Throws:
        `AdminException`

    - #### getLatestAlert

          java.lang.String getLatestAlert()

      Deprecated.
      Display in readable format the latest Alert in this distributed system.

    - #### getGemFireHealth

          GemFireHealth getGemFireHealth()

      Deprecated.
      Returns an object for monitoring the health of GemFire.

    - #### connect

          void connect()

      Deprecated.
      Connects to the distributed system. This method will return immediately after spawning a background thread that connects to the distributed system. As a result, a `AdminDistributedSystem` can be "connected" to before any members of the system have been started or have been seen. The `waitToBeConnected(long)` method will wait for the connection to be made.
      See Also:
        `isConnected()`, `isRunning()`, `waitToBeConnected(long)`

    - #### waitToBeConnected

          boolean waitToBeConnected(long timeout)
                             throws java.lang.InterruptedException

      Deprecated.
      Wait for up to a given number of milliseconds for the connection to the distributed system to be made.
      Parameters:
        `timeout` - The number of milliseconds to wait for the connection to to be made.
      Returns:
        Whether or not the connection was made. `false`, if the method times out
      Throws:
        `java.lang.InterruptedException` - If the thread invoking this method is interrupted while waiting.
        `java.lang.IllegalStateException` - If `connect()` has not yet been called.

    - #### disconnect

          void disconnect()

      Deprecated.
      Disconnects from the distributed system.

    - #### getConfig

          DistributedSystemConfig getConfig()

      Deprecated.
      Returns this system's configuration .

    - #### addMembershipListener

          void addMembershipListener(SystemMembershipListener listener)

      Deprecated.
      Registers a listener that receives callbacks when a member joins or leaves the distributed system.

    - #### removeMembershipListener

          void removeMembershipListener(SystemMembershipListener listener)

      Deprecated.
      Unregisters a membership listener
      See Also:
        `addMembershipListener(org.apache.geode.admin.SystemMembershipListener)`

    - #### addCacheListener

          void addCacheListener(SystemMemberCacheListener listener)

      Deprecated.
      Registers a cache event listener. Does nothing if the listener is already registered. The listeners are called in the order they are registered.
      Parameters:
        `listener` - the listener to register.
      Since:
        GemFire 5.0

    - #### removeCacheListener

          void removeCacheListener(SystemMemberCacheListener listener)

      Deprecated.
      Unregisters a cache listener. Does nothing if the listener is not registered.
      Parameters:
        `listener` - the listener to unregister.
      Since:
        GemFire 5.0

    - #### addCacheServer

          @Deprecated
          CacheServer addCacheServer()
                                          throws AdminException

      Deprecated. as of 5.7 use `addCacheVm()` instead.
      Creates a new cache server that is ready to configure and start.
      Throws:
        `AdminException`
      Since:
        GemFire 4.0

    - #### getCacheServers

          @Deprecated
          CacheServer[] getCacheServers()
                                             throws AdminException

      Deprecated. as of 5.7 use `getCacheVms()` instead.
      Returns all of the dedicated cache server members of the distributed system. Because they are not managed entities, application VMs that host a server cache are not included in the array.
      Throws:
        `AdminException`
      Since:
        GemFire 4.0

    - #### getCacheServers

          CacheServer[] getCacheServers(java.lang.String durableClientId)
                                 throws AdminException

      Deprecated.
      Returns all the cache server members of the distributed system which are hosting a client queue for the particular durable-client having the given durableClientId
      Parameters:
        `durableClientId` - - durable-id of the client
      Returns:
        array of CacheServer(s) having the queue for the durable client
      Throws:
        `AdminException`
      Since:
        GemFire 5.6

    - #### addCacheVm

          CacheVm addCacheVm()
                      throws AdminException

      Deprecated.
      Creates a new cache vm that is ready to configure and start.
      Throws:
        `AdminException`
      Since:
        GemFire 5.7

    - #### getCacheVms

          CacheVm[] getCacheVms()
                         throws AdminException

      Deprecated.
      Returns all of the dedicated cache server vm members of the distributed system. Because they are not managed entities, application VMs that host a server cache are not included in the array.
      Throws:
        `AdminException`
      Since:
        GemFire 5.7

    - #### lookupSystemMember

          SystemMember lookupSystemMember(DistributedMember distributedMember)
                                   throws AdminException

      Deprecated.
      Returns the administrative SystemMember specified by the `DistributedMember`.
      Parameters:
        `distributedMember` - the distributed member to lookup
      Returns:
        administrative SystemMember for that distributed member
      Throws:
        `AdminException`
      Since:
        GemFire 5.0

    - #### revokePersistentMember

          void revokePersistentMember(java.net.InetAddress host,
                                      java.lang.String directory)
                               throws AdminException

      Deprecated. use `revokePersistentMember(UUID)` instead
      Indicate to the distributed system that persistent files have been lost. When a member recovers from a set of persistent files, it will wait for other members that were also persisting the same region to start up. If the persistent files for those other members were lost, this method can be used to tell the remaining members to stop waiting for the lost data.
      Parameters:
        `host` - The host of the member whose files were lost.
        `directory` - The directory where those files resided.
      Throws:
        `AdminException`
      Since:
        GemFire 6.5

    - #### revokePersistentMember

          void revokePersistentMember(java.util.UUID diskStoreID)
                               throws AdminException

      Deprecated.
      Indicate to the distributed system that persistent files have been lost. When a member recovers from a set of persistent files, it will wait for other members that were also persisting the same region to start up. If the persistent files for those other members were lost, this method can be used to tell the remaining members to stop waiting for the lost data.
      Parameters:
        `diskStoreID` - The unique id of the disk store which you are revoking. The unique id can be discovered from `getMissingPersistentMembers()`
      Throws:
        `AdminException`
      Since:
        GemFire 7.0

    - #### getMissingPersistentMembers

          java.util.Set<PersistentID> getMissingPersistentMembers()
                                                           throws AdminException

      Deprecated.
      Retrieve the set of persistent files that the existing members are waiting for. See `revokePersistentMember(InetAddress, String)`
      Returns:
        The persistent members that were known to the existing persistent members, when the existing members were last online.
      Throws:
        `AdminException`
      Since:
        GemFire 6.5

    - #### shutDownAllMembers

          java.util.Set<DistributedMember> shutDownAllMembers()
                                                       throws AdminException

      Deprecated.
      Shuts down all the members of the distributed system with a cache that the admin member is connected to, excluding the stand-alone locators. Calling this method will ensure that regions with the `DataPolicy.PERSISTENT_PARTITION` to be shutdown in a way which allows for a faster recovery when the members are restarted. Killing individual members can lead to inconsistencies in the members persistent data, which gemfire repairs on startup. Calling shutDownAllMembers makes sure that the persistent files are consistent on shutdown, which makes recovery faster. This is equivalent to calling shutDownAllMembers(0);
      Returns:
        The set of members that were shutdown
      Throws:
        `AdminException`
      Since:
        GemFire 6.5

    - #### shutDownAllMembers

          java.util.Set<DistributedMember> shutDownAllMembers(long timeout)
                                                       throws AdminException

      Deprecated.
      Shuts down all the members of the distributed system with a cache that the admin member is connected to, excluding the stand-alone locators. Calling this method will ensure that regions with the `DataPolicy.PERSISTENT_PARTITION` to be shutdown in a way which allows for a faster recovery when the members are restarted. Killing individual members can lead to inconsistencies in the members persistent data, which gemfire repairs on startup. Calling shutDownAllMembers makes sure that the persistent files are consistent on shutdown, which makes recovery faster.
      Parameters:
        `timeout` - The amount of time to wait (in milliseconds) for the shutdown all to complete.
      Returns:
        The set of members that were shutdown, or null if the timeout is exceeded.
      Throws:
        `AdminException`
      Since:
        GemFire 6.5

    - #### backupAllMembers

          BackupStatus backupAllMembers(java.io.File targetDir)
                                 throws AdminException

      Deprecated.
      Backup the persistent files for all of the members of the distributed system that the admin member is connected to.
      Parameters:
        `targetDir` - The directory where each member's backup should be placed.
      Returns:
        The status of the backup, which includes the set of members that were backed up and the set of members that were known to be offline at the time of backup.
      Throws:
        `AdminException`
      Since:
        GemFire 6.5

    - #### backupAllMembers

          BackupStatus backupAllMembers(java.io.File targetDir,
                                        java.io.File baselineDir)
                                 throws AdminException

      Deprecated.
      Incrementally backup the persistent files for all of the members of the distributed system that the admin member is connected to. Only new operation log files since the previous backup will be copied during this backup. The generated restore script will reference and copy operation log files from the previous backup.
      Parameters:
        `targetDir` - The directory where each member's backup should be placed.
        `baselineDir` - The directory of a previous backup. If this parameter is null or the directory does not exist (on a member by member basis) a full backup will be performed for the member.
      Returns:
        The status of the backup, which includes the set of members that were backed up and the set of members that were known to be offline at the time of backup.
      Throws:
        `AdminException`
      Since:
        GemFire 6.5

    - #### compactAllDiskStores

          java.util.Map<DistributedMember,java.util.Set<PersistentID>> compactAllDiskStores()
                                                                                     throws AdminException

      Deprecated.
      Compact the persistent files for all of the members of the distributed system that the admin member connected to. This is equivalent to calling {DiskStore#forceCompaction} on all members.
      Returns:
        The set of members that compacted their disk stores.
      Throws:
        `AdminException`
      Since:
        GemFire 6.5